/*Author: Morrison*/
addEventListener("load", main);
function main()
{
    let surface = document.getElementById("surface");
    let pen = surface.getContext("2d");
    let drawing = false;
    curve = [];
    let currentColor = "#000000";
    let currentWidth = 1;
    surface.addEventListener("mousedown", (e) =>
    {
        curve = new Curve(currentColor, currentWidth);
        curve.push(new Point(e.offsetX, e.offsetY));
        drawing = true;
    });
    surface.addEventListener("mousemove", (e) =>
    {
        if(drawing)
        {
            curve.push(new Point(e.offsetX, e.offsetY));
            curve.draw(pen);
        }
    });
    surface.addEventListener("mouseup", (e) =>
    {
        curve.push(new Point(e.offsetX, e.offsetY));
        curve.draw(pen);
        drawing = false;
    });
}
